*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'century-gothic', sans-serif;
}

body{
    min-height: 100vh;
    overflow-x: hidden;
    background-color: #285866;
}


header .navbar{
    position: absolute;
    top: 10px;
    width: 100%;
}

header .navbar ul{
    height: 10vh;
    width: 50%;
    list-style-type: none;
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin: auto;
    color: white;
}

header .navbar ul li a{
    position: relative;
    text-decoration: none;
    color: white;
    font-size: 12px;
    letter-spacing: 2px;
    text-transform: uppercase;
    padding: 0 10px;
}

header .navbar ul li a.active:after{
    position: absolute;
    content: "";
    height: 2px;
    width: 80%;
    background-color: white;
    left: 10%;
    bottom: -10px;
    
}

header .navbar ul li a:after{
    content: "";
    position: absolute;
    background-color: white;
    height: 2px;
    width: 0;
    left: 10%;
    bottom: -10px;
    transition: 0.3s;
}

header .navbar ul li a:hover:after{
    width: 80%;
}

header .menu{
    position: absolute;
    top: 10px; right: 15px;
    z-index: 3;
    display: none;
}

header .menu i{
    font-size: 2rem;
    cursor: pointer;
    color: white;
}

#home{
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

.heading{
    color: white;
    letter-spacing: 10px;
    font-size: 3.5rem;
    margin: auto;
}



footer{
    position: fixed;
    width: 100%;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5vh;
}

footer h2{
    font-size: 0.5rem;
    color: white;
    letter-spacing: 3px;
}



.container-image{
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 110px;
}

.image-gallery{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-gap: 10px;
}

.image-gallery img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    cursor: pointer;
}

.container-image .popup-image{
    position: fixed;
    top: 0; left: 0;
    background: rgba(0, 0, 0, 0.9);
    height: 100%;
    width: 100%;
    z-index: 100;
    display: none;
}

.container-image .popup-image span{
    position: absolute;
    top: 0; right: 10px;
    font-size: 60px;
    font-weight: bolder;
    color: white;
    cursor: pointer;
    z-index: 100;
}

.container-image .popup-image img{
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%, -50%);
    width: 700px;
    object-fit: cover;
}

.contact{
    max-width: 1320px;
    margin: 0 auto;
    padding: 10%;
}

.contact form{
    max-width: 500px;
    margin: 0 auto;
    text-align: left;
    padding: 20px 0;
}

.contact form input,
textarea,
label{
    display: block;
    margin: 0 auto;
    width: 100%;
    color: white;
    padding: 2px;
}

.contact form input,
textarea{
    background-color: transparent;
    border: 0;
    border-bottom: 2px solid white;
}

.contact form textarea{
    resize: none;
}

.contact .contact-btn{
    background-color: gray;
    padding: 15px 0;
    color: white;
    font-size: 18px;
    border-bottom: none;
    margin-top: 30px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.contact .contact-btn:hover{
    background-color: #FFF;
    color: #1b1c1e;
}


.container{
    width: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 50px;
}

.container .line {
    height: 2px;
    width: 60px;
    background-color: white;
    display: inline-block;
}
.container h3{
    padding-bottom: 0;
    font-size: 1.2rem;
    letter-spacing: 2px;
    text-transform: uppercase;
}

.container .text{
    font-size: 1.2rem;
    letter-spacing: 2px;
    text-transform: uppercase;
}

.container a{
    text-decoration: none;
    color: white;
}

.container a:hover{
    color: #1e434f;
}

.container button .text:hover{
    color: #1e434f;
}

.container div{
    padding: 20px;
}

.about{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 110px;
}

.about .content img{
    height: auto;
    width: 300px;
    max-width: 100%;
    border-radius: 50%;
}

.about .content .text{
    width: 550px;
    max-width: 100%;
    padding: 0 10px;
    color: white;
    text-align: center;
}

.content{
    width: 1200px;
    max-width: 95%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
}

.about .content .text h1{
    font-size: 40px;
    letter-spacing: 3px;
    margin-bottom: 20px;
}


.about .content .text h2{
    font-size: 15px;
    margin-bottom: 25px;
}

.about .content .text p{
    font-size: 15px;
    margin-bottom: 45px;
    line-height: 28px;
    margin-top: 10px;
}





.popup .overlay{
    position: fixed;
    top: 0; left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    z-index: 1;
    display: none;
}

.popup .overlay .content p a{
   text-decoration: none;
}


.popup .content{
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%, -50%) scale(0);
    background: white;
    width: 750px;
    height: 700px;
    z-index: 2;
    padding: 20px;
    box-sizing: border-box;
}

.popup .close-btn{
    cursor: pointer;
    position: absolute;
    right: 20px;
    top: 20px; 
    width: 30px;
    height: 30px;
    font-size: 30px;
}

.popup.active .overlay{
    display: block;
}

.popup.active .content{
    transition: all 300ms ease-in-out;
    transform: translate(-50%, -50%) scale(1);
}

.popup .content ul li a{
    text-decoration: none;
}

.popup .content .img1{
    width: 400px; height: 300px;
}

.popup .content .img2{
    width: 460px; height: 300px;
}



@media screen and (max-width: 750px){
    
    header .menu{
        display: block;
    }

    header .navbar{
        position: fixed;
        height: 100%;
        width: 100%;
        top: -2%; left: 0;
        display: none;
    }

    header .navbar ul{
        height: 80%;
        width: 100%;
        flex-flow: column;
        background-color: rgba(0, 0, 0, 0.4);
        backdrop-filter: blur(9px);
        border-radius: 0 0 20px 20px;
    }

    header .navbar ul li a{
        font-size: 1.5rem;
    }

    .container-image .popup-image img{
        width: 80%;
    }

    .about{
        width: 100%;
        height: auto;
        padding: 70px 0px;
    }

    .about .content .text h1{
        font-size: 35px;
        margin-bottom: 25px;
    }
    
    .popup .content  p, 
    .popup .content table,
    .popup .content a {
        font-size: 1rem;
        padding: 10px;
    }

    .popup .content{
        height: 750px;
    }

    .popup .content .img1,
    .popup .content .img2{
        width: 300px; height: 180px;
    }

    .popup .overlay .content h1{
        font-size: 1.5rem;
    }



    .container li{
        font-size: 0.8rem;
    }
    
}



